import { Component } from '@angular/core';
import { ClassService } from 'src/services/class/class.service';
import { DataService } from 'src/services/data/data.service';

@Component({
  selector: 'class',
  templateUrl: './class.component.html',
  styleUrl: './class.component.scss',
})
export class ClassComponent {
  public className: string = '';
  public class: any;
  public constructor(
    private classAccessor: ClassService,
    private dataAccessor: DataService
  ) {}

  public ngOnInit(): void {
    this.className = this.dataAccessor.characterData.class;
    this.class = this.classAccessor.getClassDetails(this.className);
    console.log(this.class);
  }
}
